From 71918ec8224b6e68400abc70d66f58c6bfec08b9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 12 2020 04:52:09 +0000
Subject: [PATCH 257/2232] Use terminate instead of abort in no-exceptions mode


---

diff --git a/src/cxx.cc b/src/cxx.cc
index 6656041..8834581 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -1,6 +1,6 @@
 #include "../include/cxx.h"
-#include <cstdlib>
 #include <cstring>
+#include <exception>
 #include <iostream>
 #include <memory>
 #include <stdexcept>
@@ -9,7 +9,7 @@ template <typename Exception>
 [[noreturn]] static void panic(const char *msg) {
 #if defined(RUST_CXX_NO_EXCEPTIONS)
   std::cerr << "Error: " << msg << ". Aborting." << std::endl;
-  std::abort();
+  std::terminate();
 #else
   throw Exception(msg);
 #endif

